Subject: Re: bug#72241: 31.0.50; [PATCH] Use a dedicated buffer for `doc-view-open-text'

From: Manuel Giraud <[email-masked]>
Date: Tue, 23 Jul 2024 09:55:14 +0200

Tassilo Horn <[email-masked]> writes:

> Manuel Giraud <[email-masked]> writes:
>
> Hi Manuel,
>
>> Here is a patch for DocView that makes it use a dedicated buffer for
>> the text representation of a document.  This is what was suggested by
>> Stefan M. in a comment (circa 2019).
>
> I think that's a good idea in general and addresses a FIXME.
>
> Since it doesn't fix a bug, I think it should only be applied to
> master.

Yes, I also do think so.

> Oh, and in the commit message there's an "an" where an "and" was meant.
> And maybe a "text-contents buffer" is a slightly better term than "doc's
> contents buffer".

Ok.  I'll fix that.

[...]

> (info "(emacs) Document View") might need a small update for the
> description where some requirement is not met (e.g., emacs in a TTY
> frame) where it says that "the (document) buffer" is put in text mode
> when one answers the query if the contents should be shown as plain text
> with yes.

I have not tested in a TTY… maybe I should 😅
-- 
Manuel Giraud